View Issue Details

IDProjectCategoryView StatusLast Update
1367HdsLPGraphicsPublicMay 17th 2024 1:47 PM
ReporterNBug Reporter Assigned ToTravis Herzog  
Priority ImmediateSeverityCrashReproducibilityHave Not Tried
Status ReleasedResolutionFixed 
ProjectionMinor FixETAUnder 1 Day 
PlatformWin32NTOSMicrosoft Windows NT 6.2.9200.0OS Version6.2.9200.0
Product Version1.23.0.3 
Target Version1.23.0.5Fixed in Version1.23.0.5 
Summary1367: Enabling backup scales causes IndexOutOfRangeException
DescriptionIndex was outside the bounds of the array. @ Void CrossOver_Get_Polygon_FillTo(Int32, Int32 ByRef, Int32 ByRef, Int32) @ HdsLP.LogPlot

<SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <ExtendedInformation>
    <HResult>-2146233080</HResult>
  </ExtendedInformation>
  <InnerExceptions />
  <Message>Index was outside the bounds of the array.</Message>
  <Source>HdsLP-2-32</Source>
  <StackTrace>   at HdsLP.LogPlot.CrossOver_Get_Polygon_FillTo(Int32 avRow, Int32& avX2, Int32& avY2, Int32 avLineSplitTrack)
   at HdsLP.LogPlot.CrossOver_Polygon(Graphics& g, Int32 avFillFilterApply, String avFillFilterCurve, Int32 avFillFilterDirection, Single avFillFilterValue, Int32 avLineSplitTrack, Boolean avUseMForg)
   at HdsLP.LogPlot.CrossOver(Graphics& g, Int32 TrackStart, Int32 TrackEnd)
   at HdsLP.LogPlot.DrawGrid_Main_Draw_Tracks(Graphics& g)
   at HdsLP.LogPlot.DrawGrid_Main(Graphics& g)
   at HdsLP.LogPlot.Create_Plot(Graphics& g, Boolean ToPrintDevice, Int32 avHeaderScalesHeight, Boolean academic)
   at LogPlots.frmMain.DrawPicture()
   at LogPlots.frmMain.RedrawPicture()
   at LogPlots.ControlPanel.mUserFormatsForm_FormatSelected(Object sender, EventArgs e)
   at HdsLP.frmUserFormats.SelectFormat()
   at HdsLP.frmUserFormats.lstFormats_DoubleClick(Object sender, EventArgs e)
   at System.Windows.Forms.Control.OnDoubleClick(EventArgs e)
   at System.Windows.Forms.ListBox.WndProc(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)</StackTrace>
  <TargetSite>Void CrossOver_Get_Polygon_FillTo(Int32, Int32 ByRef, Int32 ByRef, Int32) @ HdsLP.LogPlot</TargetSite>
  <Type>System.IndexOutOfRangeException</Type>
</SerializableException>
Additional Information
<Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <GeneralInfo>
    <CLRVersion>4.0.30319.42000</CLRVersion>
    <DateTime>4/26/2024 2:05:52 PM</DateTime>
    <ExceptionMessage>Index was outside the bounds of the array.</ExceptionMessage>
    <ExceptionType>System.IndexOutOfRangeException</ExceptionType>
    <HostApplication>HN32-13.exe</HostApplication>
    <HostApplicationVersion>1.23.0.3</HostApplicationVersion>
    <NBugVersion>1.2.1.0</NBugVersion>
    <TargetSite>Void CrossOver_Get_Polygon_FillTo(Int32, Int32 ByRef, Int32 ByRef, Int32) @ HdsLP.LogPlot</TargetSite>
    <UserDescription />
  </GeneralInfo>
</Report>
TagsBug, Crash, NBug
Attached Files
Exception_133586139550873703.zip (14,253,799 bytes)

Zip Contents

  • Exception.xml (1,869 bytes)   
    <?xml version="1.0"?>
    <SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <ExtendedInformation>
        <HResult>-2146233080</HResult>
      </ExtendedInformation>
      <Message>Index was outside the bounds of the array.</Message>
      <Source>HdsLP-2-32</Source>
      <StackTrace>   at HdsLP.LogPlot.CrossOver_Get_Polygon_FillTo(Int32 avRow, Int32&amp; avX2, Int32&amp; avY2, Int32 avLineSplitTrack)
       at HdsLP.LogPlot.CrossOver_Polygon(Graphics&amp; g, Int32 avFillFilterApply, String avFillFilterCurve, Int32 avFillFilterDirection, Single avFillFilterValue, Int32 avLineSplitTrack, Boolean avUseMForg)
       at HdsLP.LogPlot.CrossOver(Graphics&amp; g, Int32 TrackStart, Int32 TrackEnd)
       at HdsLP.LogPlot.DrawGrid_Main_Draw_Tracks(Graphics&amp; g)
       at HdsLP.LogPlot.DrawGrid_Main(Graphics&amp; g)
       at HdsLP.LogPlot.Create_Plot(Graphics&amp; g, Boolean ToPrintDevice, Int32 avHeaderScalesHeight, Boolean academic)
       at LogPlots.frmMain.DrawPicture()
       at LogPlots.frmMain.RedrawPicture()
       at LogPlots.ControlPanel.mUserFormatsForm_FormatSelected(Object sender, EventArgs e)
       at HdsLP.frmUserFormats.SelectFormat()
       at HdsLP.frmUserFormats.lstFormats_DoubleClick(Object sender, EventArgs e)
       at System.Windows.Forms.Control.OnDoubleClick(EventArgs e)
       at System.Windows.Forms.ListBox.WndProc(Message&amp; m)
       at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message&amp; m)
       at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message&amp; m)
       at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)</StackTrace>
      <TargetSite>Void CrossOver_Get_Polygon_FillTo(Int32, Int32 ByRef, Int32 ByRef, Int32) @ HdsLP.LogPlot</TargetSite>
      <Type>System.IndexOutOfRangeException</Type>
    </SerializableException>
      
  • Report.xml (722 bytes)   
    <?xml version="1.0"?>
    <Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <GeneralInfo>
        <CLRVersion>4.0.30319.42000</CLRVersion>
        <DateTime>4/26/2024 2:05:52 PM</DateTime>
        <ExceptionMessage>Index was outside the bounds of the array.</ExceptionMessage>
        <ExceptionType>System.IndexOutOfRangeException</ExceptionType>
        <HostApplication>HN32-13.exe</HostApplication>
        <HostApplicationVersion>1.23.0.3</HostApplicationVersion>
        <NBugVersion>1.2.1.0</NBugVersion>
        <TargetSite>Void CrossOver_Get_Polygon_FillTo(Int32, Int32 ByRef, Int32 ByRef, Int32) @ HdsLP.LogPlot</TargetSite>
        <UserDescription />
      </GeneralInfo>
    </Report>
      
  • MiniDump.mdmp (778,139 bytes)
  • files/HDS.Net.Info.lic (584 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>48ccceaf-f4cf-4786-920c-f35a5247ee6c</Key>
      <IssueDate>2024-04-25T00:00:00</IssueDate>
      <ExpireDate>2025-05-01T00:00:00</ExpireDate>
      <IssuedTo>Probe</IssuedTo>
      <Company>Probe</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - AS</IssuedBy>
      <Copies>4</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (7,334,812 bytes)
  • files/Data/EXPRO-NS_PERENCO_CUERVA-10B/EXPRO_PERENCO_CUERVA-10B.mdb (31,350,784 bytes)

Installation TypeWorkstation

Relationships

has duplicate 1442 Archived Index was outside the bounds of the array. @ Void CrossOver_Get_Polygon_FillTo(Int32, Int32 ByRef, Int32 ByRef, Int32) @ HdsLP.LogPlot 
has duplicate 1441 Archived Index was outside the bounds of the array. @ Void CrossOver_Get_Polygon_FillTo(Int32, Int32 ByRef, Int32 ByRef, Int32) @ HdsLP.LogPlot 
has duplicate 1440 Archived Index was outside the bounds of the array. @ Void CrossOver_Get_Polygon_FillTo(Int32, Int32 ByRef, Int32 ByRef, Int32) @ HdsLP.LogPlot 

Activities

Travis Herzog

Travis Herzog

May 16th 2024 12:27 PM

Administrator   ~369

A resolution for this issue has been committed with revision 'a349a52c91b4bd382237e75873d37467fc6b4955' to branch 'master' in repository 'HdsLP' with changeset ID '29909' at 2024-05-16T10:22:10+00:00.